<?xml version="1.0" encoding="UTF-8"?>
<genmodel:GenModel xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore"
    xmlns:genmodel="http://www.eclipse.org/emf/2002/GenModel" modelDirectory="/org.eclipse.lsat.common.scheduler.resources/src-gen"
    editDirectory="" editorDirectory="" modelPluginID="org.eclipse.lsat.common.scheduler.resources"
    modelName="Resources" rootExtendsClass="org.eclipse.emf.ecore.impl.MinimalEObjectImpl$Container"
    testsDirectory="" importerID="org.eclipse.emf.importer.ecore" complianceLevel="7.0"
    copyrightFields="false" operationReflection="true" importOrganizing="true">
  <foreignModel>resources.ecore</foreignModel>
  <genPackages prefix="Resources" basePackage="org.eclipse.lsat.common.scheduler"
      disposableProviderFactory="true" ecorePackage="resources.ecore#/">
    <genClasses ecoreClass="resources.ecore#//NamedResource">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute resources.ecore#//NamedResource/name"/>
    </genClasses>
    <genClasses ecoreClass="resources.ecore#//ResourceContainer">
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference resources.ecore#//ResourceContainer/resources"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute resources.ecore#//ResourceContainer/offset"/>
    </genClasses>
    <genClasses ecoreClass="resources.ecore#//AbstractResource">
      <genFeatures notify="false" createChild="false" propertySortChoices="true" ecoreFeature="ecore:EReference resources.ecore#//AbstractResource/container"/>
      <genFeatures property="Readonly" createChild="false" ecoreFeature="ecore:EAttribute resources.ecore#//AbstractResource/start"
          get="BigDecimal start = getContainer().getOffset();&#xD;&#xA;if (getContainer() instanceof ResourceSetImpl) {&#xD;&#xA;&#x9;start = start.add(((ResourceSetImpl)getContainer()).getStart());&#xD;&#xA;}&#xD;&#xA;return start;"/>
    </genClasses>
    <genClasses ecoreClass="resources.ecore#//ResourceModel"/>
    <genClasses ecoreClass="resources.ecore#//ResourceSet"/>
    <genClasses ecoreClass="resources.ecore#//Resource"/>
  </genPackages>
</genmodel:GenModel>
